Spaces method and path for this operation:
put /s/{space_id}/api/synthetics/params/{id}
Refer to Spaces for more information.
Update a parameter in the Synthetics app.
You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read AND uptime-write.
Path parameters
-
The unique identifier for the parameter.
Minimum length is
1, maximum length is1024.
PUT
/api/synthetics/params/{id}
curl
curl \
-X PUT "${KIBANA_URL}/api/synthetics/params/param-id" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{"key":"updated_param_key","value":"updated-param-value","description":"Updated Param to be used in browser monitor","tags":["authentication","security","updated"]}'
PUT kbn://api/synthetics/params/param-id
{"key":"updated_param_key","value":"updated-param-value","description":"Updated Param to be used in browser monitor","tags":["authentication","security","updated"]}
Request example
{
"description": "Updated Param to be used in browser monitor",
"key": "updated_param_key",
"tags": [
"authentication",
"security",
"updated"
],
"value": "updated-param-value"
}
Response examples (200)
{
"description": "Updated Param to be used in browser monitor",
"id": "param_id1",
"key": "updated_param_key",
"tags": [
"authentication",
"security",
"updated"
],
"value": "updated-param-value"
}